import type { Introspector, RawSchema } from "../types.js";
export declare class PostgresIntrospector implements Introspector {
    private readonly connectionString;
    readonly schema: string;
    constructor(connectionString: string, schema?: string);
    introspect(): Promise<RawSchema>;
}
